Bug 1416405 - glibc: add ibm-858 to list of charsets for iconv
Summary: glibc: add ibm-858 to list of charsets for iconv
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1414263
TreeView+ depends on / blocked
 
Reported: 2017-01-25 12:38 UTC by Florian Weimer
Modified: 2018-01-12 10:27 UTC (History)
8 users (show)

Fixed In Version: glibc-2.26-9.fc27 glibc-2.26.90-16.fc28 glibc-2.25-11.fc26
Doc Type: Enhancement
Doc Text:
Clone Of: 1414263
Environment:
Last Closed: 2018-01-12 10:27:00 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Sourceware 21084 0 P2 RESOLVED charmaps/IBM858: new codepage 2020-01-17 13:14:06 UTC

Description Florian Weimer 2017-01-25 12:38:43 UTC
+++ This bug was initially created as a clone of Bug #1414263 +++

Description of problem:

Not possible to encode/decode the character sets IBM-858 (file coming from a IBM Zos) with iconv

Version-Release number of selected component (if applicable):

any

Additional info:

The closest charset is CP850, but it doesn't have the euro character EURO (€).

--- Additional comment from Jitka Plesnikova on 2017-01-18 10:19:24 CET ---

perl-Text-Iconv provides only a Perl interface to the iconv() function.

iconv is part of glibc-common.
# rpm -qf /usr/bin/iconv
glibc-common-2.17-157.el7_3.1.x86_64

Comment 1 Fedora Update System 2017-10-08 07:54:11 UTC
glibc-2.26-12.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d3fdd3d1f

Comment 2 Fedora Update System 2017-10-08 23:52:26 UTC
glibc-2.26-12.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d3fdd3d1f

Comment 3 Fedora Update System 2017-10-09 14:52:21 UTC
glibc-2.25-11.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2c63df4fe3

Comment 4 Fedora Update System 2017-10-09 16:31:59 UTC
glibc-2.26-13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d3fdd3d1f

Comment 5 Fedora Update System 2017-10-11 02:53:15 UTC
glibc-2.25-11.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2c63df4fe3

Comment 6 Fedora Update System 2017-10-11 06:26:10 UTC
glibc-2.26-13.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d3fdd3d1f

Comment 7 Fedora Update System 2017-10-11 16:18:12 UTC
glibc-2.25-12.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2c63df4fe3

Comment 8 Fedora Update System 2017-10-13 04:21:54 UTC
glibc-2.25-12.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2c63df4fe3

Comment 9 Fedora Update System 2017-10-15 21:38:29 UTC
glibc-2.26-14.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d3fdd3d1f

Comment 10 Fedora Update System 2017-10-17 02:23:45 UTC
glibc-2.26-14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d3fdd3d1f

Comment 11 Fedora Update System 2017-10-21 16:14:09 UTC
glibc-2.26-15.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d3fdd3d1f

Comment 12 Fedora Update System 2017-10-21 19:24:56 UTC
glibc-2.26-15.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d3fdd3d1f

Comment 13 Fedora Update System 2017-10-24 20:08:19 UTC
glibc-2.26-15.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-10-25 23:09:18 UTC
glibc-2.25-12.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.